# -*- coding: utf-8 -*-

import click

from em_celery import logger, init_db
from em_tasks.shopify.order_util import OrderUtil
from em_tasks.store.models import *


@click.command('Update Orders Events')
@click.option('-d', '--days', type=int, default=7)
def update_order_events(days=7):
  init_db()

  OrderUtil.update_order_events(days)


if __name__ == "__main__":
  update_order_events()
